List events
curl --request GET \
--url https://api.letsdothis.com/marketplace/v1/events/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/marketplace/v1/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/marketplace/v1/events/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "66a2b3c4d5e6f708192a3b4c",
"checkoutUrl": "https://www.letsdothis.com/us/e/city-river-run/checkout",
"title": "City River Run",
"titleByLocale": {
"en-US": "City River Run"
},
"tags": [
"running",
"10k",
"road"
],
"content": {
"excerpt": "A fast, welcoming city run along the riverfront.",
"courseDetails": "A mostly flat, single-loop course on closed roads.",
"racedayLogistics": "Packet pickup opens at 6:30 AM near the start line."
},
"startDate": "2026-10-18",
"location": {
"coordinates": {
"latitude": 45.5152,
"longitude": -122.6784
},
"address": {
"city": "Portland",
"formatted": "Riverfront Park, Portland, OR, USA",
"countryCode": "US",
"countryName": "United States",
"countyLine": "Multnomah County",
"postCode": "97204"
}
},
"images": {
"hero": "https://images.letsdothis.com/events/city-river-run/hero.jpg",
"logo": "https://images.letsdothis.com/events/city-river-run/logo.png",
"all": [
"https://images.letsdothis.com/events/city-river-run/course.jpg"
]
},
"races": [
{
"id": "66a3b4c5d6e7f8092a3b4c5d",
"title": "10K",
"discipline": "RUNNING",
"distance": {
"value": 10,
"unit": "KM"
},
"startDate": "2026-10-18",
"startTime": "08:00:00",
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"organizer": {
"id": "66a0b1c2d3e4f5061728394a",
"title": "Harbor Running Collective",
"images": {
"logoUrl": "https://images.letsdothis.com/organizers/harbor-running-collective/logo.png"
}
},
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"page": {
"totalResults": 1,
"first": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9",
"last": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9"
}
}{
"statusCode": 429,
"error": "<string>",
"message": "<string>"
}Events
List events
Returns a paginated list of the events available on Let’s Do This.
This endpoint needs marketplace API credentials. Contact the Let’s Do This team to get them.
GET
/
marketplace
/
v1
/
events
/
List events
curl --request GET \
--url https://api.letsdothis.com/marketplace/v1/events/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/marketplace/v1/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/marketplace/v1/events/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "66a2b3c4d5e6f708192a3b4c",
"checkoutUrl": "https://www.letsdothis.com/us/e/city-river-run/checkout",
"title": "City River Run",
"titleByLocale": {
"en-US": "City River Run"
},
"tags": [
"running",
"10k",
"road"
],
"content": {
"excerpt": "A fast, welcoming city run along the riverfront.",
"courseDetails": "A mostly flat, single-loop course on closed roads.",
"racedayLogistics": "Packet pickup opens at 6:30 AM near the start line."
},
"startDate": "2026-10-18",
"location": {
"coordinates": {
"latitude": 45.5152,
"longitude": -122.6784
},
"address": {
"city": "Portland",
"formatted": "Riverfront Park, Portland, OR, USA",
"countryCode": "US",
"countryName": "United States",
"countyLine": "Multnomah County",
"postCode": "97204"
}
},
"images": {
"hero": "https://images.letsdothis.com/events/city-river-run/hero.jpg",
"logo": "https://images.letsdothis.com/events/city-river-run/logo.png",
"all": [
"https://images.letsdothis.com/events/city-river-run/course.jpg"
]
},
"races": [
{
"id": "66a3b4c5d6e7f8092a3b4c5d",
"title": "10K",
"discipline": "RUNNING",
"distance": {
"value": 10,
"unit": "KM"
},
"startDate": "2026-10-18",
"startTime": "08:00:00",
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"organizer": {
"id": "66a0b1c2d3e4f5061728394a",
"title": "Harbor Running Collective",
"images": {
"logoUrl": "https://images.letsdothis.com/organizers/harbor-running-collective/logo.png"
}
},
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"page": {
"totalResults": 1,
"first": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9",
"last": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9"
}
}{
"statusCode": 429,
"error": "<string>",
"message": "<string>"
}Authorizations
Query Parameters
Was this page helpful?

